Jump to content
dfphoto

Jim Keirs Alamy Plugin for Lightroom

Recommended Posts

I have been using the above Lightroom plugin for some time now and find it excellent for uploading etc. to Alamy. I am using Lightroom 5.3 and find that the plugin is not longer working properly. When I  do a "fetch Alamy Data" from Alamy the plugin produces an error which states .  An internal error has occurred bad argument #1 to "assert" (value expected).

 

I am just wondering  if anyone else had / has this problem. It worked OK under previous versions of lightroom.

 

Any assistance greatly appreciated.

 

DGF

 

 

Share this post


Link to post
Share on other sites

You might be better off asking Jim Kerr directly. I remember having some weird issue when I upgraded to Lightroom 4. I contacted him and he was able to help me resolve the issue quickly.

Share this post


Link to post
Share on other sites

The link is to the site that looks after the Lightroom plug in refered to above, post a trouble ticket to raise an issue or see other solutions.

Share this post


Link to post
Share on other sites

The link is to the site that looks after the Lightroom plug in refered to above, post a trouble ticket to raise an issue or see other solutions.

 

Really?  It looks like a support site for a product called 'SupportPay' by Jim Keir.  Don't see any reference on there to the LR plugin whatsoever.

Share this post


Link to post
Share on other sites

davepmyoung, I don't doubt that you're trying to help, but you have me totally confused! :huh:

 

Where on the site that your link references is any reference whatsoever to Jim Keir's plugin for Lightroom?  There is none!  Likewise a search of the site for any reference to LR yields nothing.

 

This is the homepage for the link you provide:

 

SupportPay.jpg

 

...which on further reading appears to be a (defunct - last post by Jim Keir on 28 January 2013 07:43 PM) support forum for a now defunct (or sold) software solution for charging customers for support calls and ticket resolution.  See page here and the link on that page to Kayako Solutions.

  • Upvote 1

Share this post


Link to post
Share on other sites

I googled "jim keir lightroom plugin for alamy" and selected

"http://www.jimkeir.co.uk". Select the second icon, upper right side of page titled "Or maybe light room stuff". On the next page select the 3rd box from the top, "Alamy Picture Manager". You can download a trial for free but from what I can see you need to pay for the full package to get full function.

Share this post


Link to post
Share on other sites

Links for the FAQS and the Troubleshooter (limited)

 

As fotoDogue says it might be advisable to contact JK directly, as he says in the FAQs:

 

"Most of the plugins here are tested and compatible with Lightroom 2.2 and up, including all versions of Lightroom 3 and now Lightroom 4.0 . New versions of Lightroom will be tested as they appear."

 

LR5 isn't mentioned.

Share this post


Link to post
Share on other sites

If you have the plug in you will have an Id and password, enter that detail on the link I sent and you will be in the lightroom plug in support page. I did not design it but that is the way in.

Share this post


Link to post
Share on other sites

I raised this question as I cannot get the Alamy plugin to work properly with Lightroom 5.3 it worked with versions prior to 5 and was an excellent program . My query was has any one else found this problem and found a remedy for it. Some one answered about contacting Jim Keir about the problem. Others have mentioned raising a ticket.

 

I did both of these prior to raising this topic however other than an automated email I have had no response from Jim Keir .

 

DGF

Share this post


Link to post
Share on other sites

Jim is a really good bloke and works hard on the plug-in despite it being a very part time thing for him. He will get backto you as soon as he can with a solution. Have you switched n the error logging on the plug-in? Sending him this will really speed things up.

 

Would also head to his site and check that you re using the latest version. Sometimes the update check is not the best.

 

http://www.lightroom-plugins.com/AlamyIndex.php

 

There is also a contact here.

 

On a side note - can I say that his plug-in is amazing, and has allowed me to rapidly build up the number of images I have on Alamy. I use it in conjunction with a third party keywording service, and it allows me to use all of the resulting keywords for a range of agencies - direct through Lightroom.

 

Cheers,

Steve

Share this post


Link to post
Share on other sites

I too am trying to get a response from Jim Keir.

Some time back I bought the Alamy Upload plugin, but didn't pursue using it at the time.

However now, i wish to start using this plugin, I am unable to do so, because the Licence info I was sent was incorrect.

 

I cannot use this plugin with the incorrect login info, so I have been trying to contact Jim Keir for weeks now.

I have raised a ticket multiple times, with no response except for the initial automated response email.

 

I am left with no choice other than to purchase the same plugin again, and hope that the Licence info is correct, but I am reluctant to purchase this again, if for some reason Jim Keir has stopped supporting this plugin.

 

If anyone knows any news of Jim Keir or the current state of this plugin, i would be most grateful.

If not does anyone know of an alternative Lightroom plugin in for Alamy?

 

many thanks,

 

Kirsty

Share this post


Link to post
Share on other sites

have you tried the paypal transaction ID you purchased the oft ware with (you can get that from your paypal history). The latest versions of JK's software use that ...

Share this post


Link to post
Share on other sites

It appears not to work with LR5. When I try to enable the plug-in I get a message saying that I 'the plug-in's metadata could not be updated because it has been updated to a newer format than this plug-in supports'. It then disables itself. This is with the latest version of the plug-in 1.0.366 which only dates back a few months by which time LR5 had long been the current version. 

 

I do think that it should be taken off sale since selling something that you know will not work and not answering support requests is questionable (or worse) practise.  Perhaps he is ill or otherwise indisposed but here should still be a message on the site explaining that and it should not still be taking money.

 

Share this post


Link to post
Share on other sites

It appears not to work with LR5. When I try to enable the plug-in I get a message saying that I 'the plug-in's metadata could not be updated because it has been updated to a newer format than this plug-in supports'. It then disables itself. This is with the latest version of the plug-in 1.0.366 which only dates back a few months by which time LR5 had long been the current version. 

 

 

I received a similar message after updating to LR 4. I contacted Jim and he instructed me to delete a certain file and allowing the Plug-In to create a new one. Sorry I don't remember the filename offhand, and I'm on a new computer so I can't look up the email, but he said it's covered in the FAQ on his site.

 

I hope everything is well with Jim. He's always responded quickly and was quite helpful when I've had to contact him in the past.

Edited by fotoDogue

Share this post


Link to post
Share on other sites

fotoDogue, that worked, thanks so much!

 

Yes it is in FAQs but under what to do if you have a broken AddPseudonyms.lua file. It's unlikely anyone would know they had a broken AddPseudonyms.lua file or indeed that they had one at all but having found it, it can be opened in a text editor.

 

I added on 5 at a time to the Pseudonyms.PseudoVersion = 1 line of the lua script and  it worked at Pseudonyms.PseudoVersion = 25. (I add this for guidance in case anyone searches on this subject).

 

Yes I've found Jim helpful before, so I hope he's OK.

 

Great memory you have there fotoDogue. Try this - who scored the winning goal in the 1923 major league final between Detroit Spinners and Dallas Goalgetters?  :)

 

 

Share this post


Link to post
Share on other sites

 

Great memory you have there fotoDogue. Try this - who scored the winning goal in the 1923 major league final between Detroit Spinners and Dallas Goalgetters?  :)

 

 

Sorry Lemmy, can't help you on that one. I live in a sports-free zone ;)

Share this post


Link to post
Share on other sites

Been trying to contact Jim kier for months and no reply I have changed my pc now for macs and need a new access code for lightroom Alamy plugin. Does any know if it should work or need to buy a new one. Or if if Jim kier is even still around.

 

Thanks

Share this post


Link to post
Share on other sites

Lucky I found this thread before buying the plugin - not that I can even get the trial version to log in to Alamy on my Mac.

Share this post


Link to post
Share on other sites

Been trying to contact Jim kier for months and no reply I have changed my pc now for macs and need a new access code for lightroom Alamy plugin. Does any know if it should work or need to buy a new one. Or if if Jim kier is even still around.

 

Thanks

 

I received an email response from Jim 9th January regarding the server error. You should be able to reach him via the support page or email to support@lightroom-plugins.com

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.